
*{
    padding:0;
    margin:0;
    box-sizing: border-box;
}


body{
    background:white;
}

.header{
    margin: 196px 0 0 ;
    width: 100%;
    text-align: center;
}


.header-logo{
    position: fixed;
    top: 8px;
    left: 24px;
    height: 80px;
    cursor: pointer;
}

.user-dot{
    top:8px !important;
}

#sub-background{
    z-index: 999;
    background-color:white;
    position: fixed;
    top:90px;
    left: 0;
    width:100%;
    height: 72px;
    box-shadow: 0 0 10px -3px rgba(0, 0, 0, .8);
  }

  #logo{
    align-items: flex-start;
  }

  .logo-ltv{
    font-family: 'Bai Jamjuree', sans-serif;
    font-size: 5rem;
    font-weight: 700;
    line-height: 3.5rem;
    color: var(--color-blue);

  }
  
  
  .logo-text{
    font-family: 'Bai Jamjuree', sans-serif;
    font-size: 1rem;
    color: var(--color-supplimental-dark);
    font-weight: 500 ;
  }
  

.subnav{
    z-index: 1000;
    position: fixed;
    top: 96px;
    width: 100%;
    flex-direction: row;
    display: flex;
    justify-content: center;
    align-items:center;
    gap: 8px;

  }

  #nav-user{
      top: auto;
     
  }

  #nav-background{
      height: 96px;
      background-color: white;
      box-shadow: none;
  }


  #nav-login{
      color: var(--color-supplimental-dark);
      font-weight: 500;
  }
  .nav-input{

    position: relative;
    background: white;
    height: 48px;
    border-radius: 4px;
    outline: 1px solid var(--color-gray);
    flex-direction: row;
    display: flex;
    justify-content: center;
    align-items:center;
    gap: 8px;
    align-items: center;
    justify-content: space-between;
    padding: 0 16px 0 8px;
    
}

.topnav a{
    padding-top: 18px;
}


#input-dates{
    cursor: pointer;
    min-width: 40%;
}

#passenger-holder{
    width: 25%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-content: center;
    gap: 8px;
}
.inquiry-button{
    display: flex;
    flex-direction: row;
    height: 48px;
    padding: 0 8px;
    gap: 16px;
    flex-basis: 0;
    color: rgb(57,57,58);
    /* font-weight: 300; */
    white-space: nowrap;
    flex-grow: 1;
    background-color: white;
    outline: 1px solid var(--color-gray);
    border: none;
    font-size: 1rem;

}


.flex-row{

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-content: top;
}

#flatpickr,
#flatpickr:focus,
#flatpickr:focus-visible,
.form-control,
.form-control:focus,
.form-control:focus-visible{
    color: var(--color-background-text);
    height: 100%;
    width: 100%;
    font-size: 1rem;
    font-weight: 300;
    align-content:flex-end;
    text-align: center;
    border: none;
    outline: none;
    cursor: pointer;
    
}

#flatpickr::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: var(--color-background-text);
    opacity: 1; /* Firefox */
  }
#date-clear.hidden{
    visibility: hidden;
}

#card-holder{
    max-width: 900px;
    margin:16px auto 128px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0;
    gap:0;
}

#results{
     font-weight: 300;
     margin-bottom: 32px;
     margin-top:200px;
     text-align: center;
     
}

.card-box{
   width: 100%;
    position: relative;
    padding: 0;
    display: flex;
    flex-direction: row;
    flex-grow: 1;
    gap:8px;
    justify-content: center;
    cursor: pointer;
    background-color: white;
    border: 1px solid var(--color-gray);
    border-radius: 16px;
    margin-bottom: 64px;
    box-shadow: 0 0 10px -3px rgba(0, 0, 0, .4);
 
}

.card-box.hidden{
    display: none;
}


.footer.hidden{
    visibility: hidden;
}

.card-img{
    padding: 5px;
    margin: 0;
    min-height: 250px;
    max-height:40vh;
    min-width: 30%;
    border-top-left-radius:16px;
    border-bottom-left-radius:16px;
    object-fit:cover;
    border: 1px solid #ffffff35;
}


.card-thumb{
object-fit: cover;
border-radius:5px;
min-height: 30%;

}

.card-header{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.card-text-column{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 16px;
    height: 100%;
    padding: 16px 16px 16px 0;
}
.card-more{
    padding: 0 8px;
    width: 100%; 
    min-height: 30%;
    text-align: center;
    color: var(--color-whitish);
    border-radius:5px;
    background-color: var(--color-background-text);
}

.more-text{
    position: relative;
    top: 30%;
    opacity: 0.7;
}

.card-icon{
    text-align: center;
}

.card-icon-row{
    margin: 32px;
    display: flex;
    justify-content: space-between;
    color: var(--color-background-text);

}

.card-list{
    display: flex;
    margin: 32px;
    justify-content: center;
    align-items: center;
   font-size: 24px;
    color: var(--color-background-text);
    text-align: left;
}

.card-text-content{
    /* font-size: .8rem; */
    height: 50%;
    padding: 4px 16px 0 0;
    justify-self: flex-end;
}

.availability-button{
    color: var(--color-whitish);
    max-width: 50vw;
    padding: 0 32px;
    height: 64px;
    outline: none;
    margin: 0;
    border-radius: 4px;
    box-shadow: 0 0 10px -3px rgba(0, 0, 0, .3);


}

.availability-button-mobile{
    visibility: hidden;
}




/***********************RESPONSIVE BELOW************************************************************/




/* MOBILE: */
@media only screen and (max-width: 992px) {

    #nav-background{
        height: 64px;
    }

    .header-logo{
        visibility: hidden;
    }
    
    .subnav{
        top: 80px;
        flex-direction: column;
        align-items: center;
        gap: 8px;
        padding: 0 16px;
    }

    #sub-background{
        top: 60px;
        height: 150px;
    }



    #input-dates{
        width: 100%;
    }

    .flatpickr-calendar{
        right: 16px !important;
    }

    #passenger-holder{
        width: 100%;
     
    }



    #card-holder{
       margin: 16px 5% 56px;
       flex-direction: column;
       gap: 8px;
       max-width: 90%;
    }

    .card-box{
        flex-direction: column;
        height: auto;
        padding: 0;
    }

    .card-img{
        max-width: 100%;
        border-top-left-radius:16px;
        border-top-right-radius:16px;
        border-bottom-left-radius:0;
    }


    #results{
        margin-top: 220px;}

    .card-img-holder{
        flex-direction: row;
        min-width: 100%;
    }


    
    .card-thumb{
        object-fit: cover;
        border-radius:5px;
        width: 33%;
        
        }
    
        .card-text-column{
            min-width: 100%;
            padding: 8px;
        }

        .availability-button{
            visibility: hidden;
            width: 0;
        }
        .availability-button-mobile{
            visibility: visible;
            width: 100%;
            margin: 0;
           

        }
        
        
    .more-text{
        position: relative;
        top: 20%;
        opacity: 0.7;
    }

    .card-icon-row{
        margin: 32px 2%;
       
    
    }

    .card-text-content{
        padding-bottom: 16px;
    }

    
    .card-list{
        margin: 32px 10%;
       font-size: 18px;
    }

    .card-icon p{
        font-size: 12px;
    }


    
}